package com.srs.comprehensive.mapper;

import java.util.List;

import com.srs.comprehensive.domain.KnzzTufaApply;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 学生突发困难资助申请Mapper接口
 *
 * @author zhy
 * @date 2025-04-09
 */
public interface KnzzTufaApplyMapper extends BaseMapper<KnzzTufaApply> {

    public List<KnzzTufaApply> listView(KnzzTufaApply param);

    /**
     * 查询学生突发困难资助申请
     *
     * @param id 学生突发困难资助申请主键
     * @return 学生突发困难资助申请
     */
    public KnzzTufaApply selectKnzzTufaApplyById(Long id);

    /**
     * 查询学生突发困难资助申请列表
     *
     * @param knzzTufaApply 学生突发困难资助申请
     * @return 学生突发困难资助申请集合
     */
    List<KnzzTufaApply> selectKnzzTufaApplyList(KnzzTufaApply knzzTufaApply);

    /**
     * 新增学生突发困难资助申请
     *
     * @param knzzTufaApply 学生突发困难资助申请
     * @return 结果
     */
    int insertKnzzTufaApply(KnzzTufaApply knzzTufaApply);

    /**
     * 修改学生突发困难资助申请
     *
     * @param knzzTufaApply 学生突发困难资助申请
     * @return 结果
     */
    int updateKnzzTufaApply(KnzzTufaApply knzzTufaApply);

    /**
     * 删除学生突发困难资助申请
     *
     * @param id 学生突发困难资助申请主键
     * @return 结果
     */
    int deleteKnzzTufaApplyById(Long id);

    /**
     * 批量删除学生突发困难资助申请
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteKnzzTufaApplyByIds(Long[] ids);
}
